HostConfig (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.net.httpclient

## Class HostConfig

- java.lang.Object
- - org.apache.commons.httpclient.HostConfiguration
  - - net.sf.antcontrib.net.httpclient.HostConfig

- All Implemented Interfaces:
    java.lang.Cloneable

      public class HostConfig
      extends org.apache.commons.httpclient.HostConfiguration

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.httpclient.HostConfiguration

      `ANY_HOST_CONFIGURATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HostParams` | `createParams()`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setHost(java.lang.String host)`
    `void` | `setPort(int port)`
    `void` | `setProtocol(java.lang.String protocol)`
    `void` | `setProxyHost(java.lang.String host)`
    `void` | `setProxyPort(int port)`

    - ### Methods inherited from class org.apache.commons.httpclient.HostConfiguration

      `clone, equals, getHost, getHostURL, getLocalAddress, getParams, getPort, getProtocol, getProxyHost, getProxyPort, getVirtualHost, hashCode, hostEquals, isHostSet, isProxySet, proxyEquals, setHost, setHost, setHost, setHost, setHost, setHost, setLocalAddress, setParams, setProxy, setProxyHost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HostConfig

          public HostConfig()

  - ### Method Detail

    - #### setHost

          public void setHost(java.lang.String host)

      Overrides:
        `setHost` in class `org.apache.commons.httpclient.HostConfiguration`

    - #### setPort

          public void setPort(int port)

    - #### setProtocol

          public void setProtocol(java.lang.String protocol)

    - #### setAddress

          public void setAddress(java.lang.String address)

    - #### setProxyHost

          public void setProxyHost(java.lang.String host)

    - #### setProxyPort

          public void setProxyPort(int port)

    - #### createParams

          public HostParams createParams()